## org.omg.CORBA
Class AbstractInterfaceDefSeqHelper

    java.lang.Object
      |
      +--org.omg.CORBA.AbstractInterfaceDefSeqHelper

public class AbstractInterfaceDefSeqHelper
extends java.lang.Object

Helper class for : AbstractInterfaceDefSeq

Author:
  OpenORB Compiler

Constructor Summary
`AbstractInterfaceDefSeqHelper()`

Method Summary
`static AbstractInterfaceDef[]` `extract(Any a)` Extract AbstractInterfaceDefSeq from an any
`static java.lang.String` `id()` Return the AbstractInterfaceDefSeq IDL ID
`static void` `insert(Any a, AbstractInterfaceDef[] t)` Insert AbstractInterfaceDefSeq into an any
`static AbstractInterfaceDef[]` `read(InputStream istream)` Read AbstractInterfaceDefSeq from a marshalled stream
`static TypeCode` `type()` Return the AbstractInterfaceDefSeq TypeCode
`static void` `write(OutputStream ostream, AbstractInterfaceDef[] value)` Write AbstractInterfaceDefSeq into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractInterfaceDefSeqHelper

    public AbstractInterfaceDefSeqHelper()

Method Detail

### insert

    public static void insert(Any a,
                              AbstractInterfaceDef[] t)

  Insert AbstractInterfaceDefSeq into an any
  Parameters:
    `a` - an any
    `t` - AbstractInterfaceDefSeq value

### extract

    public static AbstractInterfaceDef[] extract(Any a)

  Extract AbstractInterfaceDefSeq from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted AbstractInterfaceDefSeq value

### type

    public static TypeCode type()

  Return the AbstractInterfaceDefSeq TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the AbstractInterfaceDefSeq IDL ID
  Returns:
    an ID

### read

    public static AbstractInterfaceDef[] read(InputStream istream)

  Read AbstractInterfaceDefSeq from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed AbstractInterfaceDefSeq value

### write

    public static void write(OutputStream ostream,
                             AbstractInterfaceDef[] value)

  Write AbstractInterfaceDefSeq into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - AbstractInterfaceDefSeq value